Bug 958394 - kbase holds multiple KnowledgeBaseEventListenerWrapper instances when adding the same KnowledgeBaseEventListener multiple times
Summary: kbase holds multiple KnowledgeBaseEventListenerWrapper instances when adding ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE
Version: 5.x.x
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER4
: 6.0.0
Assignee: Mario Fusco
QA Contact: Tomas Schlosser
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-01 09:59 UTC by Toshiya Kobayashi
Modified: 2018-11-29 19:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 868913
Environment:
Last Closed: 2014-08-06 20:16:39 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBRULES-3666 0 Major Resolved kbase holds multiple KnowledgeBaseEventListenerWrapper instances when adding the same KnowledgeBaseEventListener multipl... 2015-08-06 11:18:57 UTC

Description Toshiya Kobayashi 2013-05-01 09:59:52 UTC
+++ This bug was initially created as a clone of Bug #868913 +++

Description of problem:

Platform BZ for JBRULES-3666

Steps to Reproduce:
Actual results:
Expected results:

I think the unit test which is sent as the pull request would be fine.
https://github.com/droolsjbpm/drools/pull/153

--- Additional comment from JBoss JIRA Server on 2012-11-01 08:16:54 EDT ---

Mario Fusco <mario.fusco@gmail.com> updated the status of jira JBRULES-3666 to Resolved

Comment 1 Mario Fusco 2013-07-25 13:32:19 UTC
This issue has been fixed a while ago (before release of 5.5) with this commit:

https://github.com/droolsjbpm/drools/commit/a21630afa98068ac9176c33979b42bb250c7e317

Comment 5 Tomas Schlosser 2013-10-18 11:49:55 UTC
Verified in BRMS 6.0.0.ER4

Comment 6 Kanchan Desai 2013-10-22 12:10:41 UTC
Hi Tomas,

Can you please share some more info on this bug.

Comment 7 Marek Baluch 2014-01-24 21:46:59 UTC
no need to document as this is verified,


Note You need to log in before you can comment on or make changes to this bug.